#### Description:

This function reads cards from the source function that was specified when the FitsChan was created, and stores them in the FitsChan. This normally happens once-only, when the FitsChan is accessed for the first time. This function provides a means of forcing a re-read of the external source, and may be useful if (say) new cards have been deposited into the external source. Any newcards read from the source are appended to the end of the current contents of the FitsChan.

#### Synopsis

void astReadFits( AstFitsChan ∗this )

#### Parameters:

##### this

Pointer to the FitsChan.

#### Notes:

- This function returns without action if no source function was specified when the FitsChan was created.

- The SourceFile attribute is ignored by this function. New cards are read from the source file whenever a new value is assigned to the SourceFile attribute.

Copyright (C) 2021 East Asian Observatory